function get_cookie(Name) {
        var search = Name + "=";
        var returnvalue = "";
        if (document.cookie.length > 0) {
                offset = document.cookie.indexOf(search);
                if (offset != -1) {
                        offset += search.length;
                        end = document.cookie.indexOf(";", offset);
                        if (end == -1)
                        end = document.cookie.length;
                        returnvalue=unescape(document.cookie.substring(offset, end));
                }
        }
        return returnvalue;
}

function window.onhelp() {//屏蔽F1帮助
	return false
}

function document.onkeydown() {
	if (event.keyCode==116) {//屏蔽F5键
		event.keyCode = 0;
		event.cancelBubble = true;
		return false;
	}
	if (event.keyCode==122) {//屏蔽F11键
		event.keyCode = 0;
		event.cancelBubble = true;
		return false;
	}
	if ((event.ctrlKey && event.keyCode==82)) {//屏蔽Ctrl+R
		event.keyCode = 0;
		event.cancelBubble = true;
		return false;
	}
	if ((event.ctrlKey && event.keyCode==78)) {//屏蔽Ctrl+N
		event.keyCode = 0;
		event.cancelBubble = true;
		return false;
	}
	if ((event.keyCode == 8) && (event.srcElement.type != "text" && event.srcElement.type != "textarea" && event.srcElement.type != "password")) {//屏蔽BackSpace键
		event.keyCode = 0;
		event.cancelBubble = true;
		return false;
	}
}
function str_replace(str) {
	str=str.replace(/\&/gi,"*amp;");
	str=str.replace(/\+/gi,"*plus;");
	str=str.replace(/\#/gi,"*quot;");
	str=str.replace(/\t/gi,"*nbsp;");
	str=str.replace(/\\/gi,"\\\\");
	return str;
}
function Pause(obj,iMinSecond){
	if (window.eventList==null) {
		window.eventList=new Array();
	}
	var ind=-1;
	for (var i=0;i<window.eventList.length;i++) {
		if (window.eventList[i]==null) {
		window.eventList[i]=obj;
		ind=i;
		break;
		}
	}
	if (ind==-1) {
		ind=window.eventList.length;
		window.eventList[ind]=obj;
	}
	setTimeout("GoOn(" + ind + ")",1000);
}
function GoOn(ind) {
	var obj=window.eventList[ind];
	window.eventList[ind]=null;
	if (obj.NextStep) {
		obj.NextStep();
	}
	else {
		obj();
	}
}
function httpconnect(nurl) {
	var https=new ActiveXObject("Microsoft.XMLHTTP");
	https.open("POST",nurl,true);
	https.onreadystatechange = function() {
		if (https.readyState==4) {
			if (https.status=="200") {
			    eval(https.responseText);
				//eval(bytes2BSTR(https.responseBody));
			}
			else {
				alert('连接到服务器发生错误！');
			}
			return false;
		}
	}
	https.send();
}
